Bug 13015 - Linux kernel will not compile in i586 with gcc-2.96-21.i386.rpm
Linux kernel will not compile in i586 with gcc-2.96-21.i386.rpm
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-25 10:42 EDT by Reuben Farrelly
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-25 10:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2000-06-25 10:42:38 EDT
The newest released development kernel linux-2.4.0-test2 will compile but 
produce a bad binary after compiling with the gcc-2.96-21.i386.rpm package 
and the associated cpp/gcc/gcc-c++ packages that go with it.  Setting the 
keymap, using sshd, named, smb and ntp all the latest in the rawhide 
distribution, fail soon after each daemon is started up, making for an 
unusable system.

Upon downgrading to cpp/egcs/egcs-c++/libstdc++(-1.1.2-30.i386.rpm) (the 
original 6.2 distribution versions) the kernel builds correctly and runs 
without problems.

While I realise that this is all very bleeding edge stuff, it suggests 
that something is amiss with the compiler, or maybe the compiler options 
that the kernel is using.  I used the same binutils and glibc, also the 
latest in the rawhide distribution and only the change of compiler solved 
the problem.  I also used a standard tarball from the linux kernel 
mirrors.  My system is based on Redhat 6.2.
Comment 1 Jeff Johnson 2000-07-22 13:26:44 EDT
It's 6 of one, half a dozen of the other whether it's gcc-2.96 or the kernel's
aggressive
use of inline assembly that is at fault. Meanwhile, compile kernel's using egcs
and/or
gcc-2.95.3 (I believe that works as well).

Note You need to log in before you can comment on or make changes to this bug.